# Two-Factor Authenthication (2FA) for e107 

This plugin adds Two Factor Authentication (2FA) to an e107 installation. It can be used in combination with any [authentication app](https://github.com/e107inc/twofactorauth/#recommended-authenticator-applications) on your (mobile) device. 

It makes use of the [TwoFactorAuth Library by RobThree](https://github.com/RobThree/TwoFactorAuth).
## Features
### Current features
* 2FA support for login (both user and admin)
* Admins can disable 2FA for a specific user (as fallback)
* Ability to change "Label" (used in the authentication application) in preferences

### Features planned for future releases: 
* See [Issue tracker](https://github.com/e107inc/twofactorauth/issues?q=is%3Aopen+is%3Aissue+label%3A%22status%3A+planned%22+label%3A%22type%3A+enhancement%22) 

## Requirements ##
* e107 v2.3.1+ 
* cURL extension

## Recommended authenticator applications
* [Authy](https://authy.com/) 
* [Google Authenticator](https://support.google.com/accounts/answer/1066447)
* [Duo Mobile](https://duo.com/product/multi-factor-authentication-mfa/duo-mobile-app)
* [Microsoft Authenticator](https://www.microsoft.com/en-us/p/microsoft-authenticator)
* [FreeOTP](https://freeotp.github.io/)
* [Yandex.Key](https://yandex.com/support/passport/authorization/twofa.html)

## How to get help? ##
* First, **search the documentation** [here](#) - *documentation will be added asap*
* Then, if you cannot find the answer to your question, please submit a new issue in the issue tracker [here](https://github.com/e107inc/twofactorauth/issues)

## Bugs &  feature requests ##
* Bug reports and feature requests are very welcome! 
* Use the [issue tracker](https://github.com/e107inc/twofactorauth/issues)

## Translation ##
* In case you want to translate this plugin to your language, please [fork this Github repository](https://help.github.com/articles/fork-a-repo) and submit a [pull-request](https://help.github.com/articles/using-pull-requests).

## Changelog ##
See the **releases** section [here](https://github.com/e107inc/twofactorauth/releases)
